expo-firebase-core
Core support for Google Firebase
Last updated 2 months ago by bbarthec .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install expo-firebase-core 
SYNC missed versions from official npm registry.

expo-firebase-core

This module provides access to the Firebase configuration and performs initialisation of the native Firebase App. Unimodules that want to use Firebase can use this module to get safe access to the native Firebase App.

API documentation

Installation in managed Expo projects

For managed Expo projects, please follow the installation instructions in the API documentation for the latest stable release.

Installation in bare React Native projects

For bare React Native projects, you must ensure that you have installed and configured the react-native-unimodules package before continuing.

Add the package to your npm dependencies

expo install expo-firebase-core

Configure for iOS

Run npx pod-install after installing the npm package.

Add the iOS GoogleService-Info.plist to your XCode project

Configure for Android

Add the Android google-services.json to your android/app folder

Contributing

Contributions are very welcome! Please refer to guidelines described in the contributing guide.

Current Tags

  • 1.2.0                                ...           latest (2 months ago)

4 Versions

  • 1.2.0                                ...           2 months ago
  • 1.1.1                                ...           5 months ago
  • 1.1.0                                ...           5 months ago
  • 1.0.0                                ...           8 months ago

Copyright 2014 - 2017 © taobao.org |